org.apache.lucene.spatial3d.geom

## Class GeoBBoxFactory

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.GeoBBoxFactory

-     public class GeoBBoxFactory
      extends Object

  Factory for `GeoBBox`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoBBox` | `makeGeoBBox(PlanetModel planetModel, double topLat, double bottomLat, double leftLon, double rightLon)` Create a geobbox of the right kind given the specified bounds.
    `static GeoBBox` | `makeGeoBBox(PlanetModel planetModel, LatLonBounds bounds)` Create a geobbox of the right kind given the specified `LatLonBounds`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeGeoBBox

          public static GeoBBox makeGeoBBox(PlanetModel planetModel,
                                            double topLat,
                                            double bottomLat,
                                            double leftLon,
                                            double rightLon)

      Create a geobbox of the right kind given the specified bounds.
      Parameters:
        `planetModel` - is the planet model
        `topLat` - is the top latitude
        `bottomLat` - is the bottom latitude
        `leftLon` - is the left longitude
        `rightLon` - is the right longitude
      Returns:
        a GeoBBox corresponding to what was specified.

    - #### makeGeoBBox

          public static GeoBBox makeGeoBBox(PlanetModel planetModel,
                                            LatLonBounds bounds)

      Create a geobbox of the right kind given the specified `LatLonBounds`.
      Parameters:
        `planetModel` - is the planet model
        `bounds` - are the bounds
      Returns:
        a GeoBBox corresponding to what was specified.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.